<?php

namespace Modules\Brand\Interfaces;

use Modules\Brand\Models\Brand;

interface BrandRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Brand;
    public function update(array $request, Brand $brand): Brand;
    public function destroy(Brand $brand): void;
    public function destroyAll(array $ids): void;
    public function restore(Brand $brand): void;
    public function restoreAll(array $ids): void;
}
